RDKit: RDKit::FMCS Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions | Variables
RDKit::FMCS Namespace Reference

## Classes
class | Composition2N
class | DuplicatedSeedCache
struct | ExecStatistics
class | Graph
class | MaximumCommonSubgraph
struct | MolFragment
struct | NewBond
class | RingMatchTableSet
class | Seed
class | SeedSet
class | SubstructureCache
struct | Target
struct | TargetMatch
class | TArray2D

## Typedefs
typedef unsigned long long | BitSet
typedef unsigned | AtomIdx_t
typedef unsigned | BondIdx_t
typedef boost::adjacency_list< boost::vecS, boost::vecS, boost::undirectedS, AtomIdx_t, BondIdx_t > | Graph_t
typedef TArray2D< bool > | MatchTable
typedef std::vector< std::pair< FMCS::Graph::vertex_descriptor, FMCS::Graph::vertex_descriptor > > | match_V_t

## Functions
bool | SubstructMatchCustomTable (const FMCS::Graph &target, const ROMol &target_mol, const FMCS::Graph &query, const ROMol &querySrc, const MatchTable &atomMatchTable, const MatchTable &bondMatchTable, const MCSParameters *parameters=0, match_V_t *match=0)
bool | SubstructMatchCustom (const FMCS::Graph &target, const ROMol &mol, const FMCS::Graph &query, const ROMol &querySrc, MCSAtomCompareFunction atomCompare, MCSBondCompareFunction bondCompare, MCSFinalMatchCheckFunction finalCompare, const MCSAtomCompareParameters &acp, const MCSBondCompareParameters &bcp, void *user_data, match_V_t *match=0)

## Variables
const unsigned int | NotSet = (unsigned int)-1

## Typedef Documentation

typedef unsigned RDKit::FMCS::AtomIdx_t

Definition at line 17 of file Graph.h.

typedef unsigned long long RDKit::FMCS::BitSet

Definition at line 13 of file Composition2N.h.

typedef unsigned RDKit::FMCS::BondIdx_t

Definition at line 18 of file Graph.h.

typedef boost::adjacency_list<boost::vecS, boost::vecS, boost::undirectedS, AtomIdx_t, BondIdx_t> RDKit::FMCS::Graph_t

Definition at line 20 of file Graph.h.

typedef std::vector<std::pair<FMCS::Graph::vertex_descriptor, FMCS::Graph::vertex_descriptor> > RDKit::FMCS::match_V_t

Definition at line 19 of file SubstructMatchCustom.h.

typedef TArray2D<bool> RDKit::FMCS::MatchTable

Definition at line 46 of file MatchTable.h.

## Function Documentation

bool RDKit::FMCS::SubstructMatchCustom | ( | const FMCS::Graph & | target,
|  | const ROMol & | mol,
|  | const FMCS::Graph & | query,
|  | const ROMol & | querySrc,
|  | MCSAtomCompareFunction | atomCompare,
|  | MCSBondCompareFunction | bondCompare,
|  | MCSFinalMatchCheckFunction | finalCompare,
|  | const MCSAtomCompareParameters & | acp,
|  | const MCSBondCompareParameters & | bcp,
|  | void * | user_data,
|  | match_V_t * | match = `0`
| ) |  |

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

bool RDKit::FMCS::SubstructMatchCustomTable | ( | const FMCS::Graph & | target,
|  | const ROMol & | target_mol,
|  | const FMCS::Graph & | query,
|  | const ROMol & | querySrc,
|  | const MatchTable & | atomMatchTable,
|  | const MatchTable & | bondMatchTable,
|  | const MCSParameters * | parameters = `0`,
|  | match_V_t * | match = `0`
| ) |  |

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## Variable Documentation

const unsigned int RDKit::FMCS::NotSet = (unsigned int)-1

Definition at line 20 of file SubstructMatchCustom.h.